#include <reg51.h>
#define led  P1
void delay(unsigned char x);   
void flash( );
void main( )
{
   TMOD=0X60;   //定时器1工作在计数方式，采用方式2
   TL1=251;       //定时器1送定时初值
   TH1=251;
   TR1=1;         //启动定时器1
   while(1)
   {
   while(!TF1);    //判断定时器1益处否
   TF1=0;        //溢出标志位清0
   flash( );       //调用闪烁子程序
   }
}
/* 闪烁子程序 */
void flash( )
{  
  
  unsigned char i;  
  for(i=0;i<8;i++)   //循环8次
      {       
	   led=0x0ff;  //灯全亮
       delay(255); 
       led=0x00;  //灯全灭
       delay(255);
     }
}
/* 延时子程序 */
void delay( unsigned char x )
{ 
   unsigned char j,k;
   for(j=0;j<x;j++)
      for(k=0;k<255;k++); 
}
